/* io_stub.c
 * Copyright (C) 2002 QT4Linux and OpenQuicktime Teams
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: io_stub.c,v 1.5 2003/01/19 17:33:00 nj_humfrey Exp $
 */
 
/* 
 * Stub I/O Routines
 * Default functions - don't do anything useful
 */ 

#include <stdio.h>
#include <stdlib.h>

#include "openquicktime/structs.h"
#include "openquicktime/openquicktime.h"

#include "funcprotos.h"




/*
	PRIVATE
*/

int oqt_close_stub(oqt_t *file)
{
	fprintf(stderr, "oqt_close_stub: file is not open.\n");
	return -1;
}
/* Returns 0 if unsuccessful, 1 if successful */



int oqt_read_stub(oqt_t *file, char *data, oqt_int64_t size)
{
	fprintf(stderr, "oqt_read_stub: file is not open.\n");
	return 0;
}
/* Returns 0 if unsuccessful, 1 if successful */



int oqt_write_stub(oqt_t *file, char *data, oqt_int64_t size)
{
	fprintf(stderr, "oqt_write_stub: file is not open.\n");
	return 0;
}
/* Returns 0 if unsuccessful, 1 if successful */


int oqt_fseek_stub(oqt_t *file, oqt_int64_t offset)
{
	fprintf(stderr, "oqt_fseek_stub: file is not open.\n");
	return 0;
}
/* Returns 0 if unsuccessful, 1 if successful */


oqt_int64_t oqt_ftell_stub(oqt_t *file)
{
	fprintf(stderr, "oqt_ftell_stub: file is not open.\n");
	return -1;
}
/* Returns -1 if unsuccessful, or position if successful */


oqt_int64_t oqt_flen_stub(oqt_t *file)
{
	fprintf(stderr, "oqt_flen_stub: file is not open.\n");
	return -1;
}
/* Returns -1 if unsuccessful, or length if successful */

