/* codec_simple.c
 * Copyright (C) 2002 QT4Linux and OpenQuicktime Teams
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * Based on QT4Linux by Adam Williams.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: codec_simple.c,v 1.7 2002/10/28 13:51:13 nj_humfrey Exp $
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "openquicktime/structs.h"
#include "openquicktime/plugin.h"

#include "codec_simple.h"

static const char   Signature[5]  = "_SPV";
static const char   *Name = "Simple Video Codec Loader";
static const char   *Version  = "0.1";
static const char   *Copyright  = "2002 OpenQuicktime Team";
static const char   *ModuleAuthor  = "Jozef Hatala & Nicholas Humfrey";

oqt_codec_info_t*
oqt_plugin_register( void )
{
	oqt_video_codec_t *simple;
	
	simple = oqt_allocate_video_codec();
	if (!simple) return NULL;
	
	memcpy( &simple->info.fourcc, Signature, 4);
	simple->info.name = Name;
	simple->info.version = Version;
	simple->info.copyright = Copyright;
	simple->info.module_author = ModuleAuthor;
	simple->info.interface_age = OQT_INTERFACE_AGE;
	
	oqt_simple_video_plugin_register_raw(simple);
	oqt_simple_video_plugin_register_8BPS(simple);
	oqt_simple_video_plugin_register_yv12(simple);
	oqt_simple_video_plugin_register_yuv2(simple);
	//oqt_simple_video_plugin_register_yuv4(simple);
	//oqt_simple_video_plugin_register_v308(simple);
	//oqt_simple_video_plugin_register_v408(simple);
	//oqt_simple_video_plugin_register_v410(simple);
	
	return &simple->info;
}
