/* codec_SVQ1.h
 * Copyright (C) 2002 OpenQuicktime Team
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: codec_svq1.h,v 1.3 2002/12/15 01:52:00 nj_humfrey Exp $
 */


#define SVQ1_BLOCK_SKIP		0
#define SVQ1_BLOCK_INTER	1
#define SVQ1_BLOCK_INTER_4V	2
#define SVQ1_BLOCK_INTRA	3

#define SVQ1_FRAME_INTRA	0
#define SVQ1_FRAME_INTER	1
#define SVQ1_FRAME_DROPPABLE	2


/* memory bit stream */
typedef struct bit_buffer_s {
  oqt_uint8_t		*buffer;
  oqt_uint32_t	 bitpos;
} bit_buffer_t;

/* variable length (bit) code */
typedef struct vlc_code_s {
	oqt_int16_t	value	:10,
				length	:6;
} vlc_code_t;

/* motion vector (prediction) */
typedef struct svq1_pmv_s {
  int		 x;
  int		 y;
} svq1_pmv_t;

typedef struct svq1_s {
  int		 frame_code;
  int		 frame_type;
  int		 frame_width;
  int		 frame_height;
  int		 luma_width;
  int		 luma_height;
  int		 chroma_width;
  int		 chroma_height;
  svq1_pmv_t	*motion;
  oqt_uint8_t	*current;
  oqt_uint8_t	*previous;
  int		 offsets[3];
  int		 reference_frame;
 
  oqt_uint8_t	*base[3];
  int		 width;
  int		 height;
} svq1_t;


/* Prototypes from svq1.c */

int svq1_decode_frame (svq1_t *svq1, oqt_uint8_t *buffer);
void svq1_copy_frame (svq1_t *svq1, oqt_uint8_t *base[3], int pitches[3]);
